Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

vue3.1.2 webpack打包出错的问题 #1656

Closed
liwanchao4 opened this issue Dec 12, 2019 · 2 comments
Closed

vue3.1.2 webpack打包出错的问题 #1656

liwanchao4 opened this issue Dec 12, 2019 · 2 comments

Comments

@liwanchao4
Copy link

@liwanchao4 liwanchao4 commented Dec 12, 2019

.gitlab-ci.yml

.package:
  stage: package
  before_script:
    - npm config set registry http://nexus.sjgs/repository/npm-group/
  artifacts:
    paths:
      - dist
# 测试环境
package-staging:
    extends: .package
    script:      
      - npm install
      - npm run build-staging --verbose
    only:
    - pre_production

build的时候报错如下:
image

将vuex降级到3.1.1版本就没有问题

@vue-bot

This comment has been minimized.

Copy link

@vue-bot vue-bot commented Dec 12, 2019

Hello, thank you for taking time filling this issue!

However, we kindly ask you to use our Issue Helper when creating new issues, in order to ensure every issue provides the necessary information for us to investigate. This explains why your issue has been automatically closed by me (your robot friend!).

I hope to see your helper-created issue very soon!


你好,你的 issue 不符合我们所要求的格式,因此已被自动关闭。为了确保每个 issue 都提供必需的相关信息,请务必使用我们的 Issue 向导 来创建新 issue,谢谢!

@vue-bot vue-bot closed this Dec 12, 2019
@sodatea

This comment has been minimized.

Copy link
Member

@sodatea sodatea commented Dec 12, 2019

看起来似乎是 TypeScript 版本过低的问题,跟 vuex 应该没关系。

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
3 participants
You can’t perform that action at this time.